## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
CREATE TEMPORARY TABLE t0(x, y, z);
SELECT -99999999999999999999999999999999999999999999999999;
SELECT * FROM sqlite_temp_master WHERE sql GLOB '000[]***';
DROP TABLE t0;
BEGIN IMMEDIATE;
BEGIN IMMEDIATE;
PRAGMA function_list;
.cd bugs
.vfsinfo
PRAGMA automatic_index = FALSE;
CREATE TABLE T1 ( /**/ a INTEGER,
  b TEXT
);
CREATE TABLE T2 (
  a INTEGER,
  b TEXT
);
INSERT INTO T1 VALUES (NULL,'a'),(degrees(2),'b');
INSERT INTO T2 VALUES (1,'c'),(1,'d');
WITH _m AS MATERIALIZED (SELECT * FROM T2) SELECT T1.b,
(
  SELECT GROUP_CONCAT(b,',')
  FROM _m
  WHERE T2.a=T1.a
) AS c
FROM T1;
WITH cte1 AS (SELECT * FROM T2), cte2 AS (SELECT * FROM T2) SELECT * FROM cte1 CROSS JOIN cte2 ON cte1.b = cte2.b;
CREATE TEMP  VIEW IF NOT EXISTS v_T1_133 AS SELECT b FROM T1;
INSERT INTO T1 SELECT * FROM T1;
WITH RECURSIVE cnt(x) AS (VALUES(1) UNION ALL SELECT x+1 FROM cnt WHERE x<0) SELECT * FROM cnt;
CREATE TEMPORARY  VIEW IF NOT EXISTS v_T1_3855 AS SELECT a FROM T1;
CREATE TRIGGER IF NOT EXISTS trg_T1_234 AFTER UPDATE OF a ON T1 FOR EACH ROW BEGIN SELECT RAISE(ABORT, 'abort'); END;
WITH cte AS (SELECT b, COUNT(*) FROM T1 GROUP BY b) SELECT * FROM cte;
ALTER TABLE T2 RENAME COLUMN b TO b_r2535;
SELECT * FROM T2 WHERE a > (SELECT COUNT(*) FROM T2);
SELECT * FROM T1 AS a FULL OUTER JOIN T2 AS b ON a.rowid = b.rowid;
VACUUM main;
CREATE  VIEW IF NOT EXISTS v_T1_6599 AS SELECT b FROM T1;
SELECT * FROM T2 AS a JOIN T2 AS b ON a.rowid = b.rowid;
WITH RECURSIVE r AS (SELECT * FROM T1 LIMIT 1 UNION ALL SELECT t.* FROM T1 t JOIN r ON t.b = r.b LIMIT 10) SELECT * FROM r;
COMMIT;
INSERT INTO T2 DEFAULT VALUES;
COMMIT;
SELECT * FROM T1 WHERE b NOT IN (SELECT b FROM T1 WHERE b IS NULL);
SELECT COUNT(*) FILTER (WHERE a IS NOT NULL), SUM(rowid) FILTER (WHERE a > 0), COUNT(*) FILTER (WHERE 1=0), COUNT(*) FILTER (WHERE 1=1), COUNT(*) FILTER (WHERE NULL), AVG(a) FILTER (WHERE a > 0 AND a < 100), COUNT(*) FILTER (WHERE typeof(a) = "text") FROM T2;
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

